com.amazonaws.services.codecommit.model

## Class ListBranchesResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codecommit.model.ListBranchesResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListBranchesResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a list branches operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListBranchesResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListBranchesResult` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getBranches()` The list of branch names.
`String` `getNextToken()` An enumeration token that returns the batch of the results.
`int` `hashCode()`
`void` `setBranches(Collection<String> branches)` The list of branch names.
`void` `setNextToken(String nextToken)` An enumeration token that returns the batch of the results.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListBranchesResult` `withBranches(Collection<String> branches)` The list of branch names.
`ListBranchesResult` `withBranches(String... branches)` The list of branch names.
`ListBranchesResult` `withNextToken(String nextToken)` An enumeration token that returns the batch of the results.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListBranchesResult

    public ListBranchesResult()

### Method Detail

#### getBranches

    public List<String> getBranches()

The list of branch names.

Returns:
  The list of branch names.

#### setBranches

    public void setBranches(Collection<String> branches)

The list of branch names.

Parameters:
  `branches` - The list of branch names.

#### withBranches

    public ListBranchesResult withBranches(String... branches)

The list of branch names.

NOTE: This method appends the values to the existing list (if any). Use `setBranches(java.util.Collection)` or `withBranches(java.util.Collection)` if you want to override the existing values.

Parameters:
  `branches` - The list of branch names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withBranches

    public ListBranchesResult withBranches(Collection<String> branches)

The list of branch names.

Parameters:
  `branches` - The list of branch names.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

An enumeration token that returns the batch of the results.

Parameters:
  `nextToken` - An enumeration token that returns the batch of the results.

#### getNextToken

    public String getNextToken()

An enumeration token that returns the batch of the results.

Returns:
  An enumeration token that returns the batch of the results.

#### withNextToken

    public ListBranchesResult withNextToken(String nextToken)

An enumeration token that returns the batch of the results.

Parameters:
  `nextToken` - An enumeration token that returns the batch of the results.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListBranchesResult clone()

Overrides:
  `clone` in class `Object`